/*
 *  fpComplexMath.h
 *  fp
 *
 *  Created by Robert Delaney on 11/7/09.
 *  Copyright 2009 Bob Delaney's Science Software. All rights reserved.
 *
 */

void add(fpComplex& z, const fpComplex& x, const fpComplex& y);
void add(fpComplex& z, const fpComplex& x, const fp& y);
void add(fpComplex& z, const fpComplex& x, const mb& y);
void add(fpComplex& z, const fpComplex& x, double y);
void add(fpComplex& z, const fp& x, const fpComplex& y);
void add(fpComplex& z, const mb& x, const fpComplex& y);
void add(fpComplex& z, double x, const fpComplex& y);
void sub(fpComplex& z, const fpComplex& x, const fpComplex& y);
void sub(fpComplex& z, const fpComplex& x, const fp& y);
void sub(fpComplex& z, const fpComplex& x, const mb& y);
void sub(fpComplex& z, const fpComplex& x, double y);
void sub(fpComplex& z, const fp& x, const fpComplex& y);
void sub(fpComplex& z, const mb& x, const fpComplex& y);
void sub(fpComplex& z, double x, const fpComplex& y);
void mul(fpComplex& z, const fpComplex& x, const fpComplex& y);
void mul(fpComplex& z, const fpComplex& x, const fp& y);
void mul(fpComplex& z, const fpComplex& x, const mb& y);
void mul(fpComplex& z, const fpComplex& x, double y);
void mul(fpComplex& z, const fp& x, const fpComplex& y);
void mul(fpComplex& z, const mb& x, const fpComplex& y);
void mul(fpComplex& z, double x, const fpComplex& y);
void div(fpComplex& z, const fpComplex& x, const fpComplex& y);
void div(fpComplex& z, const fpComplex& x, const fp& y);
void div(fpComplex& z, const fpComplex& x, const mb& y);
void div(fpComplex& z, const fpComplex& x, double y);
void div(fpComplex& z, const fp& x, const fpComplex& y);
void div(fpComplex& z, const mb& x, const fpComplex& y);
void div(fpComplex& z, double x, const fpComplex& y);
